Bug 1867747 - update boot images to address problems booting from PXE
Summary: update boot images to address problems booting from PXE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.6.0
Assignee: Sohan Kunkerkar
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-10 16:18 UTC by Sohan Kunkerkar
Modified: 2020-10-27 16:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:27:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4036 0 None closed Bug 1867747: bump RHCOS images to fix the booting issue from PXE 2020-11-19 14:33:18 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:27:10 UTC

Description Sohan Kunkerkar 2020-08-10 16:18:54 UTC
We need to update the boot images to fix the following two issues:

1. https://bugzilla.redhat.com/show_bug.cgi?id=1867091 breaks live PXE install with `coreos.live.rootfs_url` on all platforms

2. https://bugzilla.redhat.com/show_bug.cgi?id=1866738 which breaks Ignition on Openstack

Comment 3 Sohan Kunkerkar 2020-08-11 17:20:03 UTC
(In reply to Sohan Kunkerkar from comment #0)
> We need to update the boot images to fix the following two issues:
> 
> 1. https://bugzilla.redhat.com/show_bug.cgi?id=1867091 breaks live PXE
> install with `coreos.live.rootfs_url` on all platforms
> 
> 2. https://bugzilla.redhat.com/show_bug.cgi?id=1866738 which breaks Ignition
> on Openstack

There's one small correction here, this BZ will fix the first issue i.e problems relate to the booting from PXE

For the second issue, there's a PR already in https://github.com/openshift/installer/pull/4040 and
it's tracked here https://bugzilla.redhat.com/show_bug.cgi?id=1867853

Comment 4 Micah Abbott 2020-08-12 14:10:31 UTC
The individual BZs can be marked VERIFIED separately; I'm confirming that the boot images have been updated to something newer than before.  Now using `46.82.202008111140-0`

Verified with 4.6.0-0.nightly-2020-08-12-071533

```
]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2020-08-12-071533   True        False         108s    Cluster version is 4.6.0-0.nightly-2020-08-12-071533
[miabbott@toolbox (container) ~/openshift-cluster-installs ]$ oc get nodes
NAME                                       STATUS   ROLES    AGE     VERSION
ci-ln-rlnd5nk-f76d1-wz95t-master-0         Ready    master   18m     v1.19.0-rc.2+edbf229-dirty
ci-ln-rlnd5nk-f76d1-wz95t-master-1         Ready    master   18m     v1.19.0-rc.2+edbf229-dirty
ci-ln-rlnd5nk-f76d1-wz95t-master-2         Ready    master   18m     v1.19.0-rc.2+edbf229-dirty
ci-ln-rlnd5nk-f76d1-wz95t-worker-b-mpbxf   Ready    worker   8m13s   v1.19.0-rc.2+edbf229-dirty
ci-ln-rlnd5nk-f76d1-wz95t-worker-c-fcrb8   Ready    worker   8m10s   v1.19.0-rc.2+edbf229-dirty
ci-ln-rlnd5nk-f76d1-wz95t-worker-d-zc2c6   Ready    worker   8m6s    v1.19.0-rc.2+edbf229-dirty
[miabbott@toolbox (container) ~/openshift-cluster-installs ]$ oc debug node/ci-ln-rlnd5nk-f76d1-wz95t-worker-b-mpbxf -- chroot /host rpm-ostree status
Starting pod/ci-ln-rlnd5nk-f76d1-wz95t-worker-b-mpbxf-debug ...
To use host binaries, run `chroot /host`
State: idle
Deployments:
* pivot://quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3e519481ef0ad982c860b036907d0e9622c524b59ea691e9ea85d7836d345a6e
              CustomOrigin: Managed by machine-config-operator
                   Version: 46.82.202008111934-0 (2020-08-11T19:38:09Z)

  ostree://a5f61bca284efdd814e71e250a77afcbdc302f6eadee9836013d29fcae89e234
                   Version: 46.82.202008111140-0 (2020-08-11T11:44:32Z)

Removing debug pod ...
```

Comment 6 errata-xmlrpc 2020-10-27 16:27:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.